<div class="row mb-3 px-3">
  <div class="col-sm-3">
    <form>
      <div class="form-group form-inline">
        <label class="form-label">Search</label>
        <input class="form-control ml-2" type="text" [formControl]="filterMe"/>
      </div>
    </form>
  </div>
  <div class="col-sm-6">

  </div>
  <div class="col-sm-3">
    <button type="button" class="btn btn-primary btn-sm text-right hvr-grow" routerLink="/associates/add-associate">Add
      associate
    </button>
  </div>
</div>
<div class="card">
  <div class="card-body">

    <div class="row">
      <div class="table-responsive-lg">
        <table class="table datatable-table" id="tableOfAssociates"
               infiniteScroll
               [infiniteScrollDistance]="2"
               [infiniteScrollThrottle]="75"
               [scrollWindow]="true"
               (scrolledUp)="onScrollUp()"
               (scrolled)="loadNextPage()">
          <thead>
          <tr>
            <th scope="col" [appSort]="associates" data-order="desc" data-name="name">
              Name&nbsp;<span><i class="fa fa-sort" aria-hidden="true"></i></span>
            </th>
            <th scope="col" [appSort]="associates" data-order="desc" data-name="skillSet">
              Skill set&nbsp;<span><i class="fa fa-sort" aria-hidden="true"></i></span>
            </th>
            <th scope="col" [appSort]="associates" data-order="desc" data-name="experience">
              Experience&nbsp;<span><i class="fa fa-sort" aria-hidden="true"></i></span>
            </th>
            <th scope="col" [appSort]="associates" data-order="desc" data-name="currentCompany">
              Current Company&nbsp;<span><i class="fa fa-sort" aria-hidden="true"></i></span>
            </th>
            <th scope="col" [appSort]="associates" data-order="desc" data-name="contactNumber">
              Contact number&nbsp;<span><i class="fa fa-sort" aria-hidden="true"></i></span>
            </th>
            <th class="center" scope="col" [appSort]="associates" data-order="desc" data-name="status">
              Status&nbsp;<span><i class="fa fa-sort" aria-hidden="true"></i></span>
            </th>
            <th scope="col" [appSort]="associates" data-order="desc" data-name="referredBy">
              Referred By&nbsp;<span><i class="fa fa-sort" aria-hidden="true"></i></span>
            </th>
            <th class="center">Download CV</th>
            <th class="center">Send Mail</th>
            <th class="center">Actions</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let associate of associates$ | async; index as i">
            <td>
              <a class="no-link text-primary" [routerLink]="['/associate/view-associate', associate.key]">
                <ngb-highlight [result]="associate.name"
                               [term]="filterMe.value"></ngb-highlight>
              </a>
            </td>
            <td>
              <ngb-highlight [result]="associate.skillSet"
                             [term]="filterMe.value"></ngb-highlight>
            </td>
            <td>
              <ngb-highlight [result]="associate.experience"
                             [term]="filterMe.value"></ngb-highlight>
              <span *ngIf="checkYears(associate?.experience)"> years</span>
            </td>
            <td>
              <ngb-highlight [result]="associate.currentCompany"
                             [term]="filterMe.value"></ngb-highlight>
            </td>
            <td>
              <ngb-highlight [result]="associate.contactNumber"
                             [term]="filterMe.value"></ngb-highlight>
            </td>
            <td class="center">
            <span class="badge"
                  [ngClass]="{'bg-danger': associate.status === 'Offer Rejected', 'bg-success': associate.status !== 'Offer Rejected'}"><ngb-highlight
              [result]="associate.status"
              [term]="filterMe.value"></ngb-highlight></span>
            </td>
            <td>
              <ngb-highlight [result]="associate.referredBy"
                             [term]="filterMe.value"></ngb-highlight>
            </td>
            <td class="center">
              <a [attr.href]="associate.resume" download>
                <button class="btn-primary btn-sm btn hvr-shrink br50" *ngIf="associate?.resume">
                  <i class="fa fa-cloud-download" title="Download CV"></i>
                </button>
              </a>
            </td>
            <td class="center">
              <button class="btn-success btn-sm btn hvr-shrink br50" (click)="composeMail(associate)"
                      data-bs-toggle="modal"
                      data-bs-target="#mailModal" title="Send Mail"><i class="fa fa-send"></i>
              </button>
            </td>
            <td class="center">
              <div class="btn-group" role="group" aria-label="Basic example">
                <button class="btn-info btn-sm btn hvr-shrink" [routerLink]="['/associate/view-associate', associate.key]"
                        title="View Associate"><span><i class="fa fa-eye" aria-hidden="true"></i></span>
                </button>
                <button class="btn-warning btn-sm btn hvr-shrink" [routerLink]="['/associate/edit-associate', associate.key]"
                        title="Edit Associate"><span><i
                  class="fa fa-pencil-square-o"
                  aria-hidden="true"></i></span>
                </button>
                <button class="btn-danger btn-sm btn hvr-shrink" (click)="associateValue = associate" data-bs-toggle="modal"
                        data-bs-target="#deleteModal" title="Delete Associate"><span><i class="fa fa-trash"
                                                                                      aria-hidden="true"></i></span>
                </button>
              </div>
            </td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</div>

<!-- Mail Modal -->
<div class="modal fade" id="mailModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
     aria-labelledby="SendAMail" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header modal-theme">
        <h5 class="modal-title" id="staticBackdropLabel">Send a Mail</h5>
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="row mb-1">
          <div class="col-sm-1"><label for="toList" class="form-label star pt-1">To:</label>&nbsp;&nbsp;</div>
          <div class="col-sm-10">
            <input type="text" class="form-control" name="toList" id="toList" [(ngModel)]="toList">
          </div>
        </div>
        <div class="row mb-1">
          <div class="col-sm-1"><label for="subject" class="form-label star pt-1">Subject:</label>&nbsp;&nbsp;</div>
          <div class="col-sm-10">
            <input type="text" class="form-control" name="subject" id="subject" [(ngModel)]="subject">
          </div>
        </div>
        <div class="mt-1 mb-1">
          <quill-editor [modules]="modules" [styles]="{height: '250px'}" [(ngModel)]="mailContent">
          </quill-editor>
        </div>
      </div>
      <div class="modal-footer center">
        <button type="button" class="btn btn-primary btn-sm hvr-shrink"
                [disabled]="mailContent === '' || toList === '' || subject === ''" (click)="sendMail()">Send Now
        </button>&nbsp;&nbsp;
        <button type="button" class="btn btn-secondary btn-sm hvr-shrink" data-bs-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>


<!-- Delete Modal -->
<div class="modal fade" id="deleteModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
     aria-labelledby="SendAMail" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header bg-danger">
        <h5 class="modal-title text-white" id="delete">Delete associate</h5>
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="mt-1 mb-1">
          <h6 class="text-danger">Are you sure, you want to delete this associate? Data cannot be restored again. Please
            confirm.</h6>
        </div>
        <div class="mt-1 mb-1">
          <div class="alert alert-warning">
            <div class="row">
              <div class="col-sm-6">
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Name:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{associateValue?.name}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Email:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{associateValue?.email}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Experience:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{associateValue?.experience}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Contact Number:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{associateValue?.contactNumber}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Resume:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    <a [attr.href]="associateValue?.resume" download>
                      <button class="btn btn-warning btn-sm text-white hvr-shrink" *ngIf="associateValue?.resume">
                        <i class="fa fa-cloud-download" title="Download CV"></i>&nbsp;Download
                      </button>
                    </a>
                    <span class="text-danger"
                          *ngIf="!associateValue?.resume">Sorry! No resume available for this associate</span>
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Referral Method:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{associateValue?.referralMethod}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Referred By:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{associateValue?.referredBy}}
                  </div>
                </div>
              </div>
              <div class="col-sm-6">
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Status:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                  <span class="badge"
                        [ngClass]="{'bg-success': associateValue?.status !== 'Offer Rejected', 'bg-danger': associateValue?.status === 'Offer Rejected'}">{{associateValue?.status}}</span>
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Current Company:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{associateValue?.currentCompany}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Skill Set:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{associateValue?.skillSet}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Alternate Number:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{associateValue?.alternateContactNumber}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Notice Period:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{associateValue?.noticePeriod}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Last Date:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{associateValue?.lastDate}}
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">EP Number#:</label>
                    </div>
                  </div>
                  <div class="col-sm-8">
                    {{associateValue?.EPNumber}}
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="modal-footer center">
        <form>
          <button type="button" class="btn btn-danger btn-sm hvr-shrink"
                  data-bs-dismiss="modal" (click)="deleteAssociate()">Confirm
          </button>&nbsp;&nbsp;
          <button type="button" class="btn btn-secondary btn-sm hvr-shrink" data-bs-dismiss="modal">Close</button>&nbsp;&nbsp;
        </form>
      </div>
    </div>
  </div>
</div>

<style>

  ::ng-deep .ngb-highlight {
    background-color: yellow;
  }

  ::ng-deep .my-custom-class .tooltip-inner {
    background-color: aliceblue;
  }

  ::ng-deep .my-custom-class .arrow::before {
    border-top-color: aliceblue;
  }
</style>
